Yum --skip-broken

Modérateurs : Co Admin, Modératrices

Avatar de l’utilisateur
GravuTrad
Admin
Admin
Messages : 1274
Enregistré le : 26/12/2006, 00:00
Localisation : af

Yum --skip-broken

Messagepar GravuTrad » 13/03/2013, 11:59

Salut à tous.

Pour les pros du linux, un truc basique mais ou je sèche:

Pour intégrer yum --skip-broken par défaut dans le yum.conf, vous faites comment?

J'ai essayé skip-broken=1 mais ça ne marche pas...
On a toujours besoin d'un plus petit que soi! (Petit!Petit!)
Image

Avatar de l’utilisateur
KZ2EDG
Modérateur
Modérateur
Messages : 330
Enregistré le : 21/12/2006, 00:00
Localisation : af

Messagepar KZ2EDG » 13/03/2013, 23:01

Hello! :wink:

Je suppose que tu dois utililiser une distribution Fedora, yum étant le gestionnaire de paquetages, il me semble que yum-skip-broken est un plugin et que par conséquent la configuration de celui-ci se trouve dans le repertoire /etc/yum/pluginconf.d/ et de ce fait verifier si enabled = 1

Aprés, les mises à jour se feront avec la commande: yum update --skip-broken

Mais intégrer le plugin par défaut directement dans yum.conf, je ne vois pas.
Ad augusta per angusta
Image

Avatar de l’utilisateur
GravuTrad
Admin
Admin
Messages : 1274
Enregistré le : 26/12/2006, 00:00
Localisation : af

Messagepar GravuTrad » 15/03/2013, 01:53

j'utilise centos et le plugin est maintenant intégré à yum. D'où ma question sur l'option dans le yum conf (marre de me taper l'option à chaque fois lol)
On a toujours besoin d'un plus petit que soi! (Petit!Petit!)
Image

Avatar de l’utilisateur
KZ2EDG
Modérateur
Modérateur
Messages : 330
Enregistré le : 21/12/2006, 00:00
Localisation : af

Messagepar KZ2EDG » 15/03/2013, 17:37

Est ce que ça marche en essayant "skip_broken=true" ?

Sinon, je ne vois rien, si le but est d'écarter les paquets cassés par défaut, autant utiliser Yum Extender qui est une interface graphique qui te permet de faire les mises à jour avec ce type d'option activable dans les préferences.

Tiens moi au jus.
:wink:
Ad augusta per angusta
Image

Avatar de l’utilisateur
GravuTrad
Admin
Admin
Messages : 1274
Enregistré le : 26/12/2006, 00:00
Localisation : af

Messagepar GravuTrad » 22/03/2013, 00:14

Je n'arrive pas à utiliser yumex, il ne démarre pas à cause d'un souci d'affichage (je suis avec putty dans winscp)

Je vais essayer avec true
On a toujours besoin d'un plus petit que soi! (Petit!Petit!)
Image

Avatar de l’utilisateur
GravuTrad
Admin
Admin
Messages : 1274
Enregistré le : 26/12/2006, 00:00
Localisation : af

Messagepar GravuTrad » 22/03/2013, 00:19

Bon ça marche avec 1 ou true, c'est mon - qui n'était pas bon.

Beaucoup indiquent souvent sur le net de mettre skip-broken=1 dans le yum.conf, mais c'est skip_broken=1 en fait....

Merci pour ton aide, tu m'as bien mis sur la piste de mon erreur. :wink:
On a toujours besoin d'un plus petit que soi! (Petit!Petit!)
Image

Avatar de l’utilisateur
KZ2EDG
Modérateur
Modérateur
Messages : 330
Enregistré le : 21/12/2006, 00:00
Localisation : af

Messagepar KZ2EDG » 22/03/2013, 09:01

Ce fut avec plaisir.:wink:
Ad augusta per angusta
Image


Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 2 invités